SCHED_M2(9)

NAME
sched_m2 - The M2 thread scheduler

SYNOPSIS
#include <sys/sched.h>

DESCRIPTION
The M2 scheduler implements a scheduling algorithm similar to the scheduler implementations of UNIX System V Release 4 and Solaris.

CODE REFERENCES
The M2 scheduler is implemented within the file sys/kern/sched_m2.c.

SEE ALSO
csf(9), hardclock(9), mi_switch(9), sched_4bsd(9), userret(9) Berny Goodheart, James Cox, The Magic Garden Explained: The Internals of UNIX System V Release 4, Prentice Hall, 1994.